SIVP Toolbox
Last update : July, 2006

imcomplement - Complement image

### Calling Sequence

  `imout = imcomplement(im)`

### Parameters

- `im`: Input image.
- `imout`: The complement image, which has the same size and class with `im`.

### Description

`imcomplement` computes the complement image of `im`. In the output image `imout`, dark pixels become lighter and light pixels become darker.

Supported classes: BOOLEAN, INT8, UINT8, INT16, UINT16, INT32, DOUBLE.

### Examples

        im = [%F, %T];
        imcomplement(im)

        im = uint8([0, 50, 100; 150, 200, 250]);
        imcomplement(im)

        im = int8([-100, -50, 0; 50, 100, 150]);
        imcomplement(im)

        im = [0, 0.2, 0.4; 0.6, 0.8, 1.0];
        imcomplement(im)

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`imabsdiff`, `imadd`, `imsubtract`, `immultiply`, `imdivide`, `imlincomb`,